Skip to main content

GetSKU

Host: dip-cb.binanceapi.com

GET /mp-api/v1/apps/{appId}/skus/{skuId}

Header

ParameterRequiredDescription
X-Mp-Open-Api-TokenYesJWT token. Please refer to Description of External Interface Signature Authentication Algorithm

Path Parameters

ParameterDescription
appIdThe AppId of the mini program
skuIdThe skuId of the SKU

Response

HTTP 200

{
"code": "000000",
"message": null,
"data": {
"sku": {
"id": "bn_point_100",
"audit": {
"info": {
"id": "bn_point_100",
"defaultName": "BN 100 points",
"names": {
"en": "BN 100 points",
"zh-TW": "BN 100 點",
},
"category": "Games",
"imageUrl": "https://bn.com/hnCWgai85XJwn7qSRXjiUt.png",
"imageStatus": "UPLOADING",
"originalPrice": "9.99",
"sellingPrice": "9.00",
"discountPercentage": 30,
"path": "/pages/index/index?foo=bar&baz=qux",
"countryWhitelist": ["TW", "JP"],
"countryBlacklist": ["SG"],
"pricing_mode": "flat",
"pricing_tiers": []
},
"auditStatus": "APPROVED"
},
"online": {
"info": {
"id": "bn_point_100",
"defaultName": "BN 100 points",
"names": {
"en": "BN 100 points",
"zh-TW": "BN 100 點",
},
"category": "Games",
"imageUrl": "https://bn.com/hnCWgai85XJwn7qSRXjiUt.png",
"imageStatus": "UPLOADING",
"originalPrice": "19.99",
"sellingPrice": "19.00",
"discountPercentage": 10,
"path": "/pages/index/index?foo=bar&baz=qux",
"countryWhitelist": ["TW", "JP", "ID"],
"countryBlacklist": ["SG"],
"pricing_mode": "flat",
"pricing_tiers": []
},
"availableStatus": "ACTIVE"
},
}
},
"success": true
}

Response with tiered pricing

{
"code": "000000",
"message": null,
"data": {
"sku": {
"id": "jdcom-cn-giftcard",
"audit": {
"info": {
"id": "jdcom-cn-giftcard",
"defaultName": "JD.com CN Gift Card",
"names": { "en": "JD.com CN Gift Card" },
"category": "Shopping",
"imageUrl": "https://bn.com/jdcn.png",
"imageStatus": "SUCCESS",
"originalPrice": "5.90",
"sellingPrice": "4.72",
"discountPercentage": 20,
"path": "/pages/index/index",
"countryWhitelist": ["CN"],
"countryBlacklist": [],
"pricing_mode": "tiered",
"pricing_tiers": [
{
"tier_id": "tier_jdcn_30cny",
"tier_type": "fixed",
"names": { "en": "JD.com CN 30 CNY" },
"description": "",
"original_price_usd_cent": 590,
"selling_price_usd_cent": 472,
"min_selling_price_usd_cent": 0,
"max_selling_price_usd_cent": 0
},
{
"tier_id": "tier_jdcn_custom",
"tier_type": "custom",
"names": { "en": "Custom amount" },
"description": "Enter any amount between $10 and $500",
"original_price_usd_cent": 0,
"selling_price_usd_cent": 0,
"min_selling_price_usd_cent": 1000,
"max_selling_price_usd_cent": 50000
}
]
},
"auditStatus": "APPROVED"
},
"online": null
}
},
"success": true
}

Response Parameters

ParameterDescription
auditAudit information for this SKU
onlineOnline information for this SKU
imageStatusSKU image status could be either 'UPLOADING', 'SUCCESS', 'FAILED', or 'NONEXISTED'
auditStatusSKU audit status can be 'TODO', 'APPROVED', 'REJECTED'
availableStatusSKU available status, controlled by merchants, can be 'ACTIVE', or 'DEACTIVE'
pricing_modePricing mode: "flat" for a single price, "tiered" for multiple denomination options
pricing_tiersArray of PricingTier objects. Present when pricing_mode is "tiered", empty array otherwise. For tiered SKUs, originalPrice and sellingPrice reflect the aggregated range (min/max across all tiers) and are used for display and search filtering.
ErrorCodeRemark
000000Success
900001Invalid Parameter
900002JWT Authentication Failed
900003Unexpected Error
900004Invalid FileId
900260Invalid SkuId